iconv(1)

NUME
iconv - convertește textul dintr-o codificare de caractere în alta

SINOPSIS
iconv [opțiuni] [-f de_la-codificarea] [-t la-codificarea] [fișier-intrare ...]

DESCRIERE
Programul iconv citește un text într-o codificare și produce textul într-o altă codificare. În cazul în care nu se indică niciun fișier de intrare sau dacă este indicat sub forma unei liniuțe (-), iconv citește de la intrarea standard. Dacă nu este dat niciun fișier de ieșire, iconv scrie la ieșirea standard.

Dacă nu se indică de_la-codificarea, valoarea implicită este derivată din codificarea caracterelor din configurația regională curentă. Dacă nu se indică la-codificarea, valoarea implicită este derivată din codificarea caracterelor din configurația regională curentă.

OPȚIUNI

--from-code=de_la-codificarea
-f de_la-codificarea
    Utilizează de_la-codificarea pentru caracterele de intrare.

--to-code=la-codificarea
-t la-codificarea
    Utilizează la-codificarea pentru caracterele de ieșire.

    În cazul în care șirul //IGNORE este atașat la la-codificarea, caracterele care nu pot fi convertite sunt eliminate și se afișează o eroare după conversie. (Caracterele care nu pot fi decodificate sunt tratate ca o eroare cu sau fără această opțiune.)

    Dacă șirul //TRANSLIT este adăugat la la-codificarea, caracterele care sunt convertite sunt transliterate atunci când este necesar și posibil. Aceasta înseamnă că, atunci când un caracter nu poate fi reprezentat în setul de caractere țintă, acesta poate fi aproximat prin intermediul unuia sau mai multor caractere cu aspect similar. Caracterele care nu fac parte din setul de caractere țintă și nu pot fi transliterate sunt înlocuite cu un semn de întrebare (?) la ieșire.

--list
-l
    Enumeră toate codificările cunoscute ale seturilor de caractere.

-c  Elimină în tăcere caracterele care nu pot fi convertite în loc să se termine atunci când întâlnește astfel de caractere. POSIX cere ca această opțiune să nu schimbe starea de ieșire a programului.

--output=fișier-ieșire
-o fișier-ieșire
    Utilizează fișier-ieșire pentru ieșire.

--silent
-s
    Această opțiune este ignorată; este furnizată doar pentru compatibilitate.

--verbose
    Afișează informații privind progresul la ieșirea de eroare standard atunci când se procesează mai multe fișiere.

--help
-?
    Afișează un rezumat al utilizării și iese.

--usage
    Imprimă un mesaj scurt de utilizare și iese.

--version
-V
    Afișează numărul versiunii, licența și declarația de renunțare la garanție pentru iconv.

STARE DE IEȘIRE
Returnează 0 în caz de succes, diferit de zero în caz de eșec.

MEDIU
La nivel intern, programul iconv utilizează funcția iconv(3) care, la rândul său, utilizează modulele gconv (biblioteci partajate încărcate dinamic) pentru a converti la și de la un set de caractere. Înainte de a apela iconv(3), programul iconv trebuie mai întâi să aloce un descriptor de conversie folosind iconv_open(3). Operarea acestei din urmă funcții este influențată de definirea variabilei de mediu GCONV_PATH:

•   Dacă GCONV_PATH nu este definită, iconv_open(3) încarcă fișierul cache de configurare a modulelor gconv din sistem creat de iconvconfig(8) și apoi, pe baza configurației, încarcă modulele gconv necesare pentru a efectua conversia. În cazul în care fișierul cache de configurare a modulelor gconv de sistem nu este disponibil, atunci se utilizează fișierul de configurare a modulelor gconv de sistem.

•   Dacă este definită GCONV_PATH (ca o listă de nume de rute separate prin două puncte), nu se utilizează fișierul cache de configurare a modulelor gconv din sistem. În schimb, iconv_open(3) încearcă mai întâi să încarce fișierele de configurare, căutând în ordine în directoarele din GCONV_PATH, urmate de fișierul de configurare implicit al modululelor gconv din sistem. În cazul în care un director nu conține un fișier de configurare a modulelor gconv, orice module gconv pe care le-ar putea conține sunt ignorate. În cazul în care un director conține un fișier de configurare a modulelor gconv și se stabilește că un modul necesar pentru această conversie este disponibil în directorul respectiv, atunci modulul necesar este încărcat din directorul respectiv, ordinea fiind astfel încât se utilizează primul modul adecvat găsit în GCONV_PATH. Acest lucru permite utilizatorilor să utilizeze module personalizate și chiar să înlocuiască modulele furnizate de sistem prin furnizarea unor astfel de module în directoarele GCONV_PATH.

FIȘIERE

/usr/lib/gconv
    Ruta implicită obișnuită a modulelor gconv.

/usr/lib/gconv/gconv-modules
    Fișierul obișnuit de configurare a modulului gconv implicit al sistemului.

/usr/lib/gconv/gconv-modules.cache
    Fișierul cache obișnuit de configurare a modulelor gconv din sistem.

În funcție de arhitectură, fișierele de mai sus pot fi în schimb localizate în directoare cu prefixul de rută /usr/lib64.

STANDARDE
POSIX.1-2008.

ISTORIC
POSIX.1-2001.

EXEMPLE
Conversia textului din codificarea de caractere ISO/IEC 8859-15 în UTF-8:

    $ iconv -f ISO-8859-15 -t UTF-8 < intrare.txt > ieșire.txt;

Următorul exemplu convertește din UTF-8 în ASCII, transliterând atunci când este posibil:

    $ echo abc ß α € àḃç | iconv -f UTF-8 -t ASCII//TRANSLIT;
    abc ss ? EUR abc

CONSULTAȚI ȘI
locale(1), uconv(1), iconv(3), nl_langinfo(3), charsets(7), iconvconfig(8)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.